Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Interface Key.KeyType

Enclosing interface:
  Key

public static interface Key.KeyType

This interface defines the available key types as defined by PKCS#11 2.11: RSA, DSA, DH, ECDSA, KEA, GENERIC_SECRET, RC2, RC4, DES, DES2, DES3, CAST, CAST3, CAST5, CAST128, RC5, IDEA, SKIPJACK, BATON, JUNIPER, CDMF, AES, EC, X9_42_DH or VENDOR_DEFINED.

Invariants

Field Summary
`static Long` | `AES` The indentifier for a AES key.
`static Long` | `BATON` The indentifier for a BATON key.
`static Long` | `BLOWFISH` The indentifier for a Blowfish key.
`static Long` | `CAST` The indentifier for a CAST key.
`static Long` | `CAST128` The indentifier for a CAST128 key.
`static Long` | `CAST3` The indentifier for a CAST3 key.
`static Long` | `CAST5` The indentifier for a CAST5 key; CAST5 is the same as CAST128.
`static Long` | `CDMF` The indentifier for a CDMF key.
`static Long` | `DES` The indentifier for a DES key.
`static Long` | `DES2` The indentifier for a double-length DES key.
`static Long` | `DES3` The indentifier for a trible-length DES key (Trible-DES).
`static Long` | `DH` The indentifier for a Diffi-Hellman key.
`static Long` | `DSA` The indentifier for a DSA key.
`static Long` | `EC` The indentifier for a EC key.
`static Long` | `ECDSA` The indentifier for a ECDSA key.
`static Long` | `GENERIC_SECRET` The indentifier for a generic secret key.
`static Long` | `IDEA` The indentifier for a IDEA key.
`static Long` | `JUNIPER` The indentifier for a JUNIPER key.
`static Long` | `KEA` The indentifier for a KEA key.
`static Long` | `RC2` The indentifier for a RC2 key.
`static Long` | `RC4` The indentifier for a RC4 key.
`static Long` | `RC5` The indentifier for a RC5 key.
`static Long` | `RSA` The indentifier for a RSA key.
`static Long` | `SKIPJACK` The indentifier for a SKIPJACK key.
`static Long` | `TWOFISH` The indentifier for a Twofish key.
`static Long` | `VENDOR_DEFINED` The indentifier for a VENDOR_DEFINED key.
`static Long` | `X9_42_DH` The indentifier for a EC key.

Field Detail

### RSA

    public static final Long RSA

  The indentifier for a RSA key.

### DSA

    public static final Long DSA

  The indentifier for a DSA key.

### DH

    public static final Long DH

  The indentifier for a Diffi-Hellman key.

### ECDSA

    public static final Long ECDSA

  The indentifier for a ECDSA key.

### EC

    public static final Long EC

  The indentifier for a EC key.

### X9_42_DH

    public static final Long X9_42_DH

  The indentifier for a EC key.

### KEA

    public static final Long KEA

  The indentifier for a KEA key.

### GENERIC_SECRET

    public static final Long GENERIC_SECRET

  The indentifier for a generic secret key.

### RC2

    public static final Long RC2

  The indentifier for a RC2 key.

### RC4

    public static final Long RC4

  The indentifier for a RC4 key.

### DES

    public static final Long DES

  The indentifier for a DES key.

### DES2

    public static final Long DES2

  The indentifier for a double-length DES key.

### DES3

    public static final Long DES3

  The indentifier for a trible-length DES key (Trible-DES).

### CAST

    public static final Long CAST

  The indentifier for a CAST key.

### CAST3

    public static final Long CAST3

  The indentifier for a CAST3 key.

### CAST5

    public static final Long CAST5

  The indentifier for a CAST5 key; CAST5 is the same as CAST128.

### CAST128

    public static final Long CAST128

  The indentifier for a CAST128 key.

### RC5

    public static final Long RC5

  The indentifier for a RC5 key.

### IDEA

    public static final Long IDEA

  The indentifier for a IDEA key.

### SKIPJACK

    public static final Long SKIPJACK

  The indentifier for a SKIPJACK key.

### BATON

    public static final Long BATON

  The indentifier for a BATON key.

### JUNIPER

    public static final Long JUNIPER

  The indentifier for a JUNIPER key.

### CDMF

    public static final Long CDMF

  The indentifier for a CDMF key.

### AES

    public static final Long AES

  The indentifier for a AES key.

### BLOWFISH

    public static final Long BLOWFISH

  The indentifier for a Blowfish key.

### TWOFISH

    public static final Long TWOFISH

  The indentifier for a Twofish key.

### VENDOR_DEFINED

    public static final Long VENDOR_DEFINED

  The indentifier for a VENDOR_DEFINED key. Any Long object with a value bigger than this one is also a valid vendor-defined key type identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.